Bug 37271 - Recall status should be 'requested' in overdue_recalls.pl
Summary: Recall status should be 'requested' in overdue_recalls.pl
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low trivial (vote)
Assignee: Janusz Kaczmarek
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 19532
Blocks:
  Show dependency treegraph
 
Reported: 2024-07-08 09:33 UTC by Janusz Kaczmarek
Modified: 2024-07-12 08:22 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 37271: Recall status should be 'requested' in overdue_recalls.pl (1.21 KB, patch)
2024-07-08 09:38 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Bug 37271: Recall status should be 'requested' in overdue_recalls.pl (1.26 KB, patch)
2024-07-10 04:29 UTC, Phil Ringnalda (back in August)
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2024-07-08 09:33:54 UTC
In "Bug 19532: Make recalls.status an ENUM" one-letter statuses were replaced by their verbal equivalents.  But in overdue_recalls.pl remained "R".  As a result, recalls never overdue.
Comment 1 Janusz Kaczmarek 2024-07-08 09:38:01 UTC
Created attachment 168581 [details] [review]
Bug 37271: Recall status should be 'requested' in overdue_recalls.pl

In "Bug 19532: Make recalls.status an ENUM" one-letter statuses were
replaced by their verbal equivalents.  But in overdue_recalls.pl
remained "R".  As a result, recalls never overdue.

No test plan provided--obvious correction.

Sponsored-by: Ignatianum University in Cracow
Comment 2 Phil Ringnalda (back in August) 2024-07-10 04:29:28 UTC
Created attachment 168688 [details] [review]
Bug 37271: Recall status should be 'requested' in overdue_recalls.pl

In "Bug 19532: Make recalls.status an ENUM" one-letter statuses were
replaced by their verbal equivalents.  But in overdue_recalls.pl
remained "R".  As a result, recalls never overdue.

No test plan provided--obvious correction.

Sponsored-by: Ignatianum University in Cracow
Signed-off-by: Phil Ringnalda <phil@chetcolibrary.org>
Comment 3 Katrin Fischer 2024-07-12 07:57:33 UTC
Picking this one from QA queue for review - thanks Janusz!
Comment 4 Katrin Fischer 2024-07-12 08:22:23 UTC
Pushed for 24.11!

Well done everyone, thank you!